# GraphiQL & GraphQL LSP Working Group

The GraphiQL and GraphQL Working Group focuses on fielding and fostering proposals and specifications for plugin interfaces and other user/developer-facing interfaces, as well as overall features, decisions about lifecycle, etc. This doesn't mean we will make decisions about every PR we merge, but it's a chance to have stake in the roadmap and how commonly used interfaces change.

All users of GraphiQL, the LSP, GraphQL IDE extensions, developer users, all GraphQL community members are welcome. There is no official list of members, though you can add yourself to the monthly meeting agendas (see below)

This working group is focused on usage of the entire monorepo - GraphiQL and plugins, codemirror-graphql, to the new monaco mode, the LSP service interface, the LSP server and the LSP server CLI.

## Monthly Working Group Meeting

> **Second Tuesday of Every month at 16GMT/12EST** [(GraphQL Foundation Google Calendar)](https://calendar.google.com/calendar/embed?src=linuxfoundation.org_ik79t9uuj2p32i3r203dgv5mo8@group.calendar.google.com)

These are monthly sessions designed to work similarly to the official `graphql/graphql-wg` working group. The goal is decision making, setting specifications and navigating feature proposals for our shared graphql web and desktop IDE experiences as a community.

Many of the underlying packages used for graphql web/desktop IDE tooling are in this very monorepo!

In the [`'agendas'`](/working-group/agendas) directory you can introduce PRs to add yourself as an attendee to each agenda, and optionally add an agenda item or two.

## Get Involved

You can also find us on [discord](https://discord.gg/NP5vbPeUFp), in github via issues or PRs!

See the Community section at the bottom of [the root level readme](../README.md) for more information.

Aside from these two recurring zoom sessions, those two places in public (discord & github) are where the working group activity happens.
